// Example13Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Example13.h"
#include "Example13Dlg.h"

#include "states.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExample13Dlg dialog


CExample13Dlg::CExample13Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CExample13Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExample13Dlg)
	m_szCapital = _T("");
	m_szAbbreviation = _T("");
	//}}AFX_DATA_INIT
}

CExample13Dlg::~CExample13Dlg()
{
	DeleteObject(hFont);
}


void CExample13Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExample13Dlg)
	DDX_Control(pDX, IDC_STATE_CB, m_CtrlStateCB);
	DDX_Control(pDX, IDC_HEADING, m_CtrlHeading);
	DDX_Text(pDX, IDC_CAPITAL, m_szCapital);
	DDX_Text(pDX, IDC_ABBREVIATION, m_szAbbreviation);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CExample13Dlg, CDialog)
	//{{AFX_MSG_MAP(CExample13Dlg)
	ON_CBN_SELCHANGE(IDC_STATE_CB, OnSelchangeStateCB)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExample13Dlg message handlers

BOOL CExample13Dlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	hFont = CreateFont(30, 10, 0, 0, 
						FW_HEAVY, TRUE, FALSE, FALSE,
						ANSI_CHARSET, OUT_DEFAULT_PRECIS,
						CLIP_DEFAULT_PRECIS, PROOF_QUALITY,
						DEFAULT_PITCH | FF_DONTCARE, "Arial");

	CFont *pFont = CFont::FromHandle(hFont);
	m_CtrlHeading.SetFont(pFont);

	FillComboBox();

	CenterWindow();	

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CExample13Dlg::FillComboBox()
{
	CString		szTemp;
	int			iResult;

	for (int iIndex = 0; iIndex < NUMBER_OF_STATES; iIndex++)
		{
		szTemp = (m_pStates+iIndex)->szState;

		iResult = m_CtrlStateCB.AddString((LPCSTR)szTemp);

		m_CtrlStateCB.SetItemDataPtr(iResult, (m_pStates+iIndex));
		}

	m_CtrlStateCB.SetCurSel(0);

	OnSelchangeStateCB();
}

void CExample13Dlg::OnSelchangeStateCB() 
{
	strStates	*pTemp;

	int iIndex = m_CtrlStateCB.GetCurSel();
	
	if (iIndex != LB_ERR)
		{
		pTemp = (strStates *)m_CtrlStateCB.GetItemDataPtr(iIndex);

		m_szCapital = pTemp->szCapital;

		m_szAbbreviation = pTemp->szAbbreviation;

		UpdateData(FALSE);
		}
}
